<?php require_once("../includes/cmain.inc.php");
$customSessionPath = __DIR__ . "/tmp_sessions";
if (!file_exists($customSessionPath)) {
    mkdir($customSessionPath, 0777, true);
}
session_save_path($customSessionPath);
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}
$headerTitleName = "Blog List";

if(isset($_REQUEST['action']) && $_REQUEST['action'] =='delete'){
    $page_id=$_REQUEST['page_id'];
	 $sql3 = "delete from `tbl_blog` where id in ($page_id)";
	 db_query($sql3);
	 set_session_msg("Selected blog and Related Data have been deleted successfully");
	header("Location: ".$_SERVER['HTTP_REFERER']);
	exit;
}
$searchq= $_POST['search'] ?? '';
$start = isset($start)?intval($start): 0;
$pagesize = isset($pagesize) ? intval($pagesize): 100;
$columns = "select * ";
$sql = " from `tbl_blog` ";
if(isset($_POST['search'])){
    $sql .=" WHERE heading LIKE '%$searchq%'";
}else{
	$sql .= " where 1 ";
}
//$order_by == '' ? $order_by = '`tbl_blog`.id' : true;
//$order_by2 == '' ? $order_by2 = 'DESC' : true;
$sql_count = "select count(*) ".$sql; 
$sql .= "order by id DESC ";
$sql .= "limit $start, $pagesize ";
$sql = $columns.$sql;
$result = db_query($sql);
$reccnt = db_scalar($sql_count);
?><link href="styles.css" rel="stylesheet" type="text/css">
<? include("top.inc.php");?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="pageHead"><div id="txtPageHead">
    Manage Blog</div></td>
  </tr>
</table>
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="content">
        <div align="center"><span class="msg"><?=display_sess_msg();?></span></div><br />
      <br />
        <a href="blog_add.php?page_id=&start=0" class="redcolor" style="float: left;">Add New Blog</a>  <a href="blog_cat.php" style="color:green; padding-left:40px;float: left;"> Blog Categaries</a> 
		<div style="margin-left:20px;float: left; padding-bottom:5px;">
		<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
		    <input type="text" name="search" placeholder="Search By Blog Name" style="width: 200px;" >
			<input type="submit" value=">>">
		</form>
		</div>
      <? if(mysqli_num_rows($result)==0){?>
      <div class="msg">Sorry, no records found.</div>
      <? } else{ ?>
      <div align="right"> Showing Records: <?= $start+1?> to   <?=($reccnt<$start+$pagesize)?($reccnt-$start):($start+$pagesize)?>    of   <?=$reccnt?> </div>
      <form method="post" name="form1" id="form1" onSubmit="confirm_submit(this)">
        <table width="100%"  border="0" cellpadding="0" cellspacing="1" class="tableList">
          <tr>
          <th align="center" width="5%">SL</th>
          <th align="left" width="20%" style="padding-left:10px;">Blog Heading</th>
          <th align="center" width="8%">Status</th>
          <th align="center" width="8%">Edit</th>
          <th align="center" width="5%">Delete</th>
          </tr>
      <? 
		if($start==0){
			$cnt=0;
		}
		else{
			$cnt=$start;
		}
		while ($line_raw = mysqli_fetch_array($result)) {
			$cnt++;
		$line = ms_display_value($line_raw);
		@extract($line);
	//	$css = ($css=='trOdd')?'trEven':'trOdd';
		$css= isset($css) ? (($css=='trOdd')?'trEven':'trOdd') : 'trOdd'
	   ?>

<tr class="<?=$css?>">
<td  valign="top" align="center"><?=stripslashes($id)?></td>
<td align="left" valign="middle" style="padding-left:10px;"><?=stripslashes($heading)?></td>
<td align="center" valign="middle"><?php if($status=='1'){ echo 'Active'; }else{ echo '<span style="color:red;">InActive</span>'; } ?></td>
<td align="center" valign="top"><a href="blog_add.php?page_id=<?=$id?>&start=<?=$start?>"><img src="images/icons/edit.png" alt="Edit" width="16" height="16" border="0" /></a></td>
<td align="center" valign="top"><a href="blog_list.php?page_id=<?=$id?>&start=<?=$start?>&action=delete" onclick="return stdel_confirm();"><img src="images/icons/trash-20.png" alt="Edit" width="16" height="16" border="0" /></a></td>
</tr>
<? }?>        
</table>
 </form>
<? }?>
<? include("paging.inc.php");?>    </td>
</tr>
</table>
<script>
function stdel_confirm(){  return confirm("Are you sure want to delete?"); }
</script>
<? include("bottom.inc.php");?>